﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace RolloverLabelTemplate
{
    public enum ConvertTo
    {
        Double,
        DateTime
    }

    public class ComparableToDoubleConverter : IValueConverter
    {
        public ConvertTo ConvertTo { get; set; }

        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return ConvertTo == ConvertTo.Double ?
                (object)System.Convert.ToDouble(value) :
                (object)System.Convert.ToDateTime(value);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
